Subject: Re: bug#60557: [PATCH] Fix eglot prompt when connection already exists

From: João Távora <[email-masked]>
Date: Mon, 16 Jan 2023 14:42:25 +0000

On Mon, Jan 16, 2023 at 2:15 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> > Date: Mon, 16 Jan 2023 11:53:14 +0000
> >
> > [ Eli, I pushed this change to emacs-29 as this in effect a bugfix and
> > Eglot is a new package anyway.  Let me know if you'd rather I push this
> > to master instead (it doesn't make much of a difference in practice
> > since eglot.el is a GNU ELPA packge) ]
>
> The release branch is OK for this kind of changes, thanks.
>
> However, note that this change now causes
>
>   In eglot:
>   progmodes/eglot.el:1078:44: Warning: Unused lexical argument
`interactive'
>
> because the INTERACTIVE argument is now unused.

You're right, I missed that. Sorry.

> Should it be renamed to _interactive?

Yes, that would be fine.  As would removing  the argument entirely.

M-x eglot is _not_ meant  to be called from Lisp at at all, but some time
ago I found at least one user on emacs-devel was doing so.  So removing
it may break some code (that is probably already broken anyway, but
still...).

João